PDF::API3::Compat::API2::Basic::TTF::Hmtx(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Hmtx - Horizontal Metrics

DESCRIPTION
Contains the advance width and left side bearing for each glyph. Given the compressability of the data onto disk, this table uses information from other tables, and thus must do part of its output during the output of other tables

INSTANCE VARIABLES
The horizontal metrics are kept in two arrays by glyph id. The variable names do not start with a space

advance
    An array containing the advance width for each glyph

lsb An array containing the left side bearing for each glyph

METHODS

  $t->read
Reads the horizontal metrics from the TTF file into memory

  $t->numMetrics
Calculates again the number of long metrics required to store the information here. Returns undef if the table has not been read.

  $t->out($fh)
Writes the metrics to a TTF file. Assumes that the "hhea" has updated the numHMetrics from here

  $t->update
Updates the lsb values from the xMin from the each glyph

  $t->out_xml($context, $depth)
Outputs the table in XML

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.